Bug 13828 - samba-tool domain provision --interactive 'hangs'
samba-tool domain provision --interactive 'hangs'
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.10.0rc4
All All
: P5 regression
: 4.10
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-10 23:51 UTC by Andrew Bartlett
Modified: 2019-06-26 07:02 UTC (History)
3 users (show)

See Also:


Attachments
patch cherry-picked from master for 4.10 (1.23 KB, patch)
2019-03-12 03:58 UTC, Andrew Bartlett
abartlet: review? (metze)
timbeale: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2019-03-10 23:51:53 UTC
samba-tool domain provision --interactive appears to hang as the prompt is not flushed so the administrator has no feedback that it is asking for the realm, domain and password.

As reported here:
https://lists.samba.org/archive/samba/2019-March/221753.html
Comment 1 Andrew Bartlett 2019-03-10 23:54:02 UTC
Proposed fix is here: https://gitlab.com/samba-team/samba/merge_requests/288
Comment 2 Andrew Bartlett 2019-03-12 01:45:36 UTC
I wouldn't hold the release for this, but it is technically a regression.
Comment 3 Andrew Bartlett 2019-03-12 03:58:36 UTC
Created attachment 14918 [details]
patch cherry-picked from master for 4.10

The patch is now in master and is cherry-picked here for the next available 4.10.x release.

(also manually tested)
Comment 4 Tim Beale 2019-05-21 22:23:40 UTC
This bug fell between the cracks... It's ready for delivery to 4.10.
Comment 5 Andrew Bartlett 2019-05-23 23:48:47 UTC
Karolin,

Please select for the next Samba 4.10 release.
Comment 6 Karolin Seeger 2019-06-20 09:56:56 UTC
(In reply to Andrew Bartlett from comment #5)
Pushed to autobuild-v4-10-test.
Comment 7 Karolin Seeger 2019-06-26 07:02:31 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-10-test.
Closing out bug report.

Thanks!